---
updatedAt: 2026-05-28T20:26:59.000Z
agentTools:
  projectIndex: https://apidocs.klipfolio.com/llms.txt
---

# User Properties

View, create, update and manage user properties in your account or your client accounts. 

## GET /users/\{id}/properties

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>

      </th>

      <th style={{ textAlign: "left" }}>

      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        Description
      </td>

      <td style={{ textAlign: "left" }}>
        Get a list of the user’s properties in your company or client account.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        Permissions
      </td>

      <td style={{ textAlign: "left" }}>
        user.manage
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        Resource URL
      </td>

      <td style={{ textAlign: "left" }}>
        [https://app.klipfolio.com/api/1.0/users/\{id}/properties](https://app.klipfolio.com/api/1.0/users/\{id}/properties)
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        Parameters
      </td>

      <td style={{ textAlign: "left" }}>
        user id  
        optional: client_id
      </td>
    </tr>
  </tbody>
</Table>

## Example Request

```Text Get properties for user
GET https://app.klipfolio.com/api/1/users/fedcba9876543210fedcba9876543210/properties
```
```Text Client get properties for user
GET https://app.klipfolio.com/api/1/users/fedcba9876543210fedcba9876543210/properties?client_id=0123456789abcdef0123456789abcdef
```

## Example Response

```
{
 "data": {
   "properties":{ 
     "TestValue": "zyx321",
     "City": "Toronto"}
  },
 "meta": {
     "status": 200,
     "success": true
 }
}
```

## PUT /users/\{id}/properties

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>

      </th>

      <th>

      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        Description
      </td>

      <td>
        Creates property base on name for all users.  
        Update property for specific user. Use in your company or client account.
      </td>
    </tr>

    <tr>
      <td>
        Permissions
      </td>

      <td>
        user.manage
      </td>
    </tr>

    <tr>
      <td>
        Resource URL
      </td>

      <td>
        [https://app.klipfolio.com/api/1.0/users/\{id}/properties](https://app.klipfolio.com/api/1.0/users/\{id}/properties)
      </td>
    </tr>

    <tr>
      <td>
        Fields
      </td>

      <td>
        user id  
        optional: client_id
      </td>
    </tr>
  </tbody>
</Table>

## Example Request

```Text Update properties for user
PUT https://app.klipfolio.com/api/1/users/fedcba9876543210fedcba9876543210/properties -d
{
     "properties": {
          "kfTestCountry": "Canada",
          "TestValue": "abc1234",
          "City": "Ottawa"
     }
}
```
```Text Client update properties for user
PUT https://app.klipfolio.com/api/1/users/fedcba9876543210fedcba9876543210/properties?client_id=0123456789abcdef0123456789abcdef -d
{
     "properties": {
          "kfTestCountry": "Canada",
          "TestValue": "abc1234",
          "City": "Ottawa"
     }
}
```

## Example Response

```
{
 "data": {},
 "meta": {
     "status": 200,
     "success": true
 }
}
```

## DELETE /users/\{id}/properties

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>

      </th>

      <th>

      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        Description
      </td>

      <td>
        Delete properties associated with a user in your company or client account.

        Deleting a user property will delete the property from all users in your account.
      </td>
    </tr>

    <tr>
      <td>
        Permissions
      </td>

      <td>
        user.manage
      </td>
    </tr>

    <tr>
      <td>
        Resource URL
      </td>

      <td>
        [https://app.klipfolio.com/api/1/users/\{id}/properties](https://app.klipfolio.com/api/1/users/\{id}/properties)
      </td>
    </tr>

    <tr>
      <td>
        Parameters
      </td>

      <td>
        user id  
        optional: client_id
      </td>
    </tr>
  </tbody>
</Table>

## Example Request

```Text Delete property from users
DELETE https://app.klipfolio.com/api/1/users/fedcba9876543210fedcba9876543210/properties?name=TestValue
```
```Text Client delete property from users
DELETE https://app.klipfolio.com/api/1/users/fedcba9876543210fedcba9876543210/properties?client_id=0123456789abcdef0123456789abcdef&name=TestValue
```

## Example Response

```
{
"meta": {
      "status": 200,
      "success": true
  }
}
```